QGIS Application - Bug report #7658
Creating/exporting raster crashes application
2013-04-19 11:23 PM - Nathanael Boehm

Status: Closed

Priority: Severe/Regression
Assignee: Radim Blazek
Category: Rasters

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16578

Description

| want to rasterize vector contour lines for relief shading but QGIS 1.9 keeps crashing on me whenever | touch the rasters.

Steps:

1. Open or create new GRASS mapset

2. Use v.in.ogr to import vector (see attached sample vector from Geoscience Australia) w/ default (no advanced settings)

3. Use v.to.rast.attr with ELEVATION as z index
4. It appears to run, but crashes

5. When | restart QGIS, | can add the newly created GRASS raster layer but | can't see anything on the canvas

6. Attempting anything with the raster (including just toggling visibility, or outputting as a GeoTIFF) crashes QGIS again

History

#1 - 2013-04-19 11:31 PM - Nathanael Boehm

There is nothing useless in the trace "Faulting application qgis-dev.exe, version 0.0.0.0, faulting module unknown, version 0.0.0.0, fault address

0x0000ffff"

#2 - 2013-04-19 11:53 PM - Werner Macho
confirmed on current master commit:257ee9c004f on self compiled QGIS

Linux Debian

#3 - 2013-04-20 12:37 AM - Giovanni Manghi

- Operating System deleted (Windows XP SP3)

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression
- Category changed from GRASS to Rasters

confirmed here also with tools that are not grass

#4 - 2013-04-20 01:59 AM - Nyall Dawson

Possibly related are #7608 and #7624.
#5 - 2013-04-20 02:00 AM - Nyall Dawson

Also #7659

#6 - 2013-05-29 10:32 AM - Radim Blazek

- Assignee set to Radim Blazek

#7 - 2013-05-29 10:44 AM - Radim Blazek

- Status changed from Open to Feedback

Works for me on Debian with GRASS 6.4.2.
1. Use v.in.ogr to import vector (see attached sample vector from Geoscience Australia) w/ default (no advanced settings)
2. Use v.to.rast.attr with ELEVATION as z index
3. It appears to run, but crashes

What does crash and when? v.to.rast or QGIS? When you run the module or when you try to display the result? Does it work if you run the same in GRASS

shell? Can you display the result in GRASS monitor by d.rast?

1. When | restart QGIS, | can add the newly created GRASS raster layer but | can't see anything on the canvas

2. Attempting anything with the raster (including just toggling visibility, or outputting as a GeoTIFF) crashes QGIS again

Various raster bugs were recently fixed, please try if the problem persists.

#8 - 2013-05-29 02:51 PM - Nathanael Boehm
Thanks yes | know I've since managed to successfully create a raster through GRASS so | would have to go back and find the exact files | was working on

to see if | can reproduce in the current build.

#9 - 2013-06-04 02:35 AM - Radim Blazek
- Status changed from Feedback to Closed

Seems to be fixed, reopen if necessary.

Files

Sample_Contours_line.zip 161 KB 2013-04-19 Nathanael Boehm
